/**
 *  Copyright © 2010 Digia Plc
 *  Copyright © 2010 Nokia Corporation
 *
 *  All rights reserved.
 *
 *  Nokia and Nokia Connecting People are registered trademarks of
 *  Nokia Corporation.
 *  Java and all Java-based marks are trademarks or registered
 *  trademarks of
 *  Sun Microsystems, Inc. Other product and company names
 *  mentioned herein may be
 *  trademarks or trade names of their respective owners.
 *
 *
 *  Subject to the conditions below, you may, without charge:
 *
 *  ·  Use, copy, modify and/or merge copies of this software and
 *     associated documentation files (the "Software")
 *
 *  ·  Publish, distribute, sub-licence and/or sell new software
 *     derived from or incorporating the Software.
 *
 *
 *  This file, unmodified, shall be included with all copies or
 *  substantial portions
 *  of the Software that are distributed in source code form.
 *
 *  The Software cannot constitute the primary value of any new
 *  software derived
 *  from or incorporating the Software.
 *
 *  Any person dealing with the Software shall not misrepresent
 *  the source of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY
 *  KIND, EXPRESS OR IMPLIED,
 *  INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 *  MERCHANTABILITY, FITNESS FOR A
 *  PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  AUTHORS OR COPYRIGHT
 *  HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 *  WHETHER IN AN ACTION
 *  OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 *  CONNECTION WITH THE
 *  SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

/**
 * Returns current hours in two digits format
 */
function getHours() {
    var today = new Date();
    if (today.getHours() < 10) return ("0" + today.getHours().toString());
    return today.getHours();
}

/**
 * Returns current minutes in two digits format
 */
function getMinutes() {
    var today = new Date();
    if (today.getMinutes() < 10) return "0" + today.getMinutes().toString();
    return today.getMinutes();
}

/**
 * Returns current minutes in two digits format
 */
function getSeconds() {
    var today = new Date();
    if (today.getSeconds() < 10) return "0" + today.getSeconds();
    return today.getSeconds();
}

/**
 * Returns current time in selected format
 *
 * @param hours If true hours are included to returned time
 * @param minutes If true minutes are included to returned time
 * @param seconds If true seconcs are included to returned time
 * @return current time in selected format
 */
function getTimeJS(hours,minutes,seconds) {
    var time = "";
    if(hours) time += getHours();
    if(hours && minutes) time += ":";  //checks if there should be seperator character before minutes
    if(minutes) time += getMinutes() ;
    if((minutes || hours) && seconds ) time += ":" //checks if there should be seperator character seconds
    if(seconds) time += getSeconds();
    return time;
}


/**
 * Change number to two digit format. Fills empty space with "0" if necessary.
 *
 * @param number
 * @return number in two digits format
 * @example
 * formatTwoDigits(9) -> 09
 * formatTwoDigits(17) -> 17
 */
function formatTwoDigits(number) {
    if(number < 10) return "0" + number;
    return number;
}


/*
 * Clever int parser for two digits numbers
 *
 * @param number Number to parse
 * @return parsed integer
 * @example
 *  parseIntClever(09) ->  9
 *  parseIntClever(29) -> 29
 */
function parseIntClever(number) {
    if (number.length == 2 && number.charAt(0) == "0") return parseInt(number.charAt(1));
    return parseInt(number)
}





